Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Tax

Tax: Class

Get All

GET https://container-url.zoeysite.com/api/rest/tax/class/?filter[0][attribute]=class_type&filter[0][eq]=PRODUCT

Query parameters:

NameExampleNotes
filter[0][attribute]class_type
filter[0][eq]PRODUCT"PRODUCT" | "CUSTOMER"

Get

GET https://container-url.zoeysite.com/api/rest/tax/class/:tax_class_id

Create

POST https://container-url.zoeysite.com/api/rest/tax/class/

Field Type Required Description
class_name string Yes Name of the tax class.
class_type string Yes "PRODUCT" (assigned to products) or "CUSTOMER" (assigned to customer groups)
avatax_code string No Avatax Code

Example request body:

{
    "class_name": "Tax Class Name",
    "class_type": "PRODUCT"
}

Update

PUT https://container-url.zoeysite.com/api/rest/tax/class/:tax_class_id

Only the fields sent change. The class type can't be changed after the class is created.

Field Type Required Description
class_name string No Name of the tax class.
avatax_code string No Avatax Code

Example request body:

{
    "class_name": "Tax Class Name"
}

Delete

DELETE https://container-url.zoeysite.com/api/rest/tax/class/:tax_class_id